summaryrefslogtreecommitdiffstats
path: root/games/marathon-infinity-data
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2012-02-19 15:41:06 -0600
committer Robby Workman <rworkman@slackbuilds.org>2012-02-20 12:20:47 -0600
commite5601543871d6ad96a216f25d29127a0ca1ab53c (patch)
treef51009320642d2aff4092f13fe76c1cf1adeb380 /games/marathon-infinity-data
parent451ef70d7760290492beb6469894fc46b886ab01 (diff)
downloadslackbuilds-e5601543871d6ad96a216f25d29127a0ca1ab53c.tar.gz
slackbuilds-e5601543871d6ad96a216f25d29127a0ca1ab53c.tar.xz
games/marathon-infinity-data: Added (game data for Aleph One)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'games/marathon-infinity-data')
-rw-r--r--games/marathon-infinity-data/README11
-rw-r--r--games/marathon-infinity-data/doinst.sh4
-rw-r--r--games/marathon-infinity-data/marathon-infinity6
-rw-r--r--games/marathon-infinity-data/marathon-infinity-data.SlackBuild59
-rw-r--r--games/marathon-infinity-data/marathon-infinity-data.info10
-rw-r--r--games/marathon-infinity-data/marathon-infinity.desktop7
-rw-r--r--games/marathon-infinity-data/slack-desc19
7 files changed, 116 insertions, 0 deletions
diff --git a/games/marathon-infinity-data/README b/games/marathon-infinity-data/README
new file mode 100644
index 0000000000..4e5f47ff39
--- /dev/null
+++ b/games/marathon-infinity-data/README
@@ -0,0 +1,11 @@
+marathon-infinity-data (game data for use with alephone)
+
+Marathon Infinity is the most popular Marathon game in online play, and
+is compatible with hundreds of community-made maps. This release includes
+the classic graphics, and revamped high-definition textures and weapons.
+
+Included in the package is a shell script wrapper. Type
+"marathon-infinity" or select Marathon Infinity from the KDE or XFCE
+"Games" menu.
+
+This requires alephone.
diff --git a/games/marathon-infinity-data/doinst.sh b/games/marathon-infinity-data/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/games/marathon-infinity-data/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/marathon-infinity-data/marathon-infinity b/games/marathon-infinity-data/marathon-infinity
new file mode 100644
index 0000000000..660acc96f1
--- /dev/null
+++ b/games/marathon-infinity-data/marathon-infinity
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+ALEPHONE_DATA="/usr/share/AlephOne/gamedata/Marathon Infinity"
+export ALEPHONE_DATA
+
+exec alephone "$@"
diff --git a/games/marathon-infinity-data/marathon-infinity-data.SlackBuild b/games/marathon-infinity-data/marathon-infinity-data.SlackBuild
new file mode 100644
index 0000000000..b2897117c0
--- /dev/null
+++ b/games/marathon-infinity-data/marathon-infinity-data.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for marathon-infinity-data
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=marathon-infinity-data
+VERSION=${VERSION:-20111201}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+ZIPNAME=MarathonInfinity
+ZIPFILE=$ZIPNAME-$VERSION-Data.zip
+WRAPPER=marathon-infinity
+DATADIR=$PKG/usr/share/AlephOne/gamedata
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+mkdir -p $DATADIR
+unzip $CWD/$ZIPFILE -d $DATADIR
+
+chown -R root:root $DATADIR
+
+# NB: the usual find predicate is different (zipfile stores +x permissions
+# on some files for no good reason)
+find $DATADIR \
+ \( -type f -a -perm +0100 \) \
+ -exec chmod 644 {} \; -o \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cat $CWD/$WRAPPER > $PKG/usr/bin/$WRAPPER
+chmod 0755 $PKG/usr/bin/$WRAPPER
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$WRAPPER.desktop > $PKG/usr/share/applications/$WRAPPER.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/marathon-infinity-data/marathon-infinity-data.info b/games/marathon-infinity-data/marathon-infinity-data.info
new file mode 100644
index 0000000000..21281dc0fc
--- /dev/null
+++ b/games/marathon-infinity-data/marathon-infinity-data.info
@@ -0,0 +1,10 @@
+PRGNAM="marathon-infinity-data"
+VERSION="20111201"
+HOMEPAGE="http://marathon.sourceforge.net/games/infinity.php"
+DOWNLOAD="http://files3.bungie.org/trilogy/MarathonInfinity-20111201-Data.zip"
+MD5SUM="68574f4885d3e2e3971de405d85f3175"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/games/marathon-infinity-data/marathon-infinity.desktop b/games/marathon-infinity-data/marathon-infinity.desktop
new file mode 100644
index 0000000000..ba1a78ced0
--- /dev/null
+++ b/games/marathon-infinity-data/marathon-infinity.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Marathon Infinity
+Exec=marathon-infinity
+Icon=alephone
+Type=Application
+Comment=Marathon Infinity (first-person shooter game)
+Categories=Game;ActionGame;
diff --git a/games/marathon-infinity-data/slack-desc b/games/marathon-infinity-data/slack-desc
new file mode 100644
index 0000000000..daf7d776ed
--- /dev/null
+++ b/games/marathon-infinity-data/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+marathon-infinity-data: marathon-infinity-data (game data for use with alephone)
+marathon-infinity-data:
+marathon-infinity-data: Marathon Infinity is the most popular Marathon game in online play,
+marathon-infinity-data: and is compatible with hundreds of community-made maps. This release
+marathon-infinity-data: includes the classic graphics, and revamped high-definition textures
+marathon-infinity-data: and weapons.
+marathon-infinity-data:
+marathon-infinity-data:
+marathon-infinity-data:
+marathon-infinity-data:
+marathon-infinity-data: